info:
  name: Lookup By Status (OLD)
  type: http
  seq: 1

http:
  method: POST
  url: "{{elixFormsApiUrl}}/request/lookup/by-status/v1"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
  body:
    type: form-urlencoded
    data:
      - name: username
        value: "{{elixFormsApiUsername}}"
      - name: moduleTag
        value: PROPOSTA_CCT_DOCENTE
        description: per restringere il risultato alle sole richieste del/i modulo/i aventi tag specificato
      - name: step
        value: INOLTRATA
        description: |-
          possibili valori:
          - INOLTRATA (default);: restituisce l'elenco degli [id_request] di tutte le istanze inoltrate ma non evase
          - INOLTRATA_SWF_NONE: restituisce l'elenco degli [id_request] di tutte le istanze che inoltrate che non hanno uno stato di workflow semplice
          - PRONTE_DA_ELABORARE: restituisce l'elenco degli [id_request] di tutte le istanze che hanno uno stato di workflow semplice mappato
          - EVASA: restituisce l'elenco degli [id_request] di tutte le istanze evase

          E' possibile combinare due valori separati da virgola. Ad esempio INOLTRATA_SWF_NONE,EVASA restituisce l'elenco degli [id_request] di tutte le domande inoltrate e senza stato di workflow semplice e di tutte le domande evase.
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Lookup By Status - Success
    request:
      url: "{{elixFormsApiUrl}}/request/lookup/by-status/v1"
      method: POST
      body:
        type: form-urlencoded
        data:
          - name: username
            value: "{{elixFormsApiUsername}}"
          - name: moduleTag
            value: PROPOSTA_CCT_DOCENTE
            description: per restringere il risultato alle sole richieste del/i modulo/i aventi tag specificato
          - name: step
            value: INOLTRATA_SWF_NONE
            description: |-
              possibili valori:
              - INOLTRATA (default);: restituisce l'elenco degli [id_request] di tutte le istanze inoltrate ma non evase
              - INOLTRATA_SWF_NONE: restituisce l'elenco degli [id_request] di tutte le istanze che inoltrate che non hanno uno stato di workflow semplice
              - PRONTE_DA_ELABORARE: restituisce l'elenco degli [id_request] di tutte le istanze che hanno uno stato di workflow semplice mappato
              - EVASA: restituisce l'elenco degli [id_request] di tutte le istanze evase

              E' possibile combinare due valori separati da virgola. Ad esempio INOLTRATA_SWF_NONE,EVASA restituisce l'elenco degli [id_request] di tutte le domande inoltrate e senza stato di workflow semplice e di tutte le domande evase.
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/json;charset=UTF-8
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: transfer-encoding
          value: chunked
        - name: vary
          value: Accept-Encoding
        - name: content-encoding
          value: gzip
      body:
        type: json
        data: |-
          {
              "value": {
                  "code": "OK",
                  "description": "OK",
                  "complete": true,
                  "globalStatus": "OK",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.0.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "OK",
                                          "description": "OK",
                                          "detailStatus": "OK"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "e68c420a-9732-43b4-95b0-b12cda24c956",
                  "version": "3.7.0.6",
                  "requests": [
                      {
                          "moduleTag": "PROPOSTA_CCT_DOCENTE",
                          "requestId": 5102,
                          "step": "Inoltrata, senza considerare stato di workflow semplice"
                      },
                      {
                          "moduleTag": "PROPOSTA_CCT_DOCENTE",
                          "requestId": 5514,
                          "step": "Inoltrata, senza considerare stato di workflow semplice"
                      }
                  ],
                  "requestsSize": 2
              }
          }
